SystemTaskRuntime (CMDB Model API)
Keywords: com.collation.platform.model.workflow.SystemTaskRuntime interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.workflow
Interface SystemTaskRuntime

All Superinterfaces:
  ModelObject, java.io.Serializable, TaskRuntime

    public interface SystemTaskRuntime

extends TaskRuntime

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.workflow.TaskRuntime
`ABORTED, ACTIVE, CLOSED, COMPLETED, ERROR, NOT_STARTED, PASS_DUE, PENDING_CONFIRMATION, PENDING_PERMISSION, PENDING_ROLLBACK, PENDING_START`

Method Summary

Methods inherited from interface com.collation.platform.model.workflow.TaskRuntime
`getAbortedTime, getCompletionTime, getConfirmationRequired, getData, getDueTime, getErrorCount, getErrorTime, getExpectedStartTime, getFail, getName, getNextTasks, getPermissionRequired, getRollbackTime, getRuntimeId, getSimulation, getStartTime, getStatus, getWaitForTasks, getWorkflowId, hasAbortedTime, hasCompletionTime, hasConfirmationRequired, hasData, hasDueTime, hasErrorCount, hasErrorTime, hasExpectedStartTime, hasFail, hasName, hasNextTasks, hasPermissionRequired, hasRollbackTime, hasRuntimeId, hasSimulation, hasStartTime, hasStatus, hasWaitForTasks, hasWorkflowId, setAbortedTime, setCompletionTime, setConfirmationRequired, setData, setDueTime, setErrorCount, setErrorTime, setExpectedStartTime, setFail, setName, setNextTasks, setPermissionRequired, setRollbackTime, setRuntimeId, setSimulation, setStartTime, setStatus, setWaitForTasks, setWorkflowId`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD